#include "MenuTextDown_Player2Keyboard.h"

InputSetting_Keyboard* MenuTextDown_Player2Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Keyboard ? gameFunc->GetInputSetting_Player2Keyboard() : nullptr;
}

SDL_Scancode* MenuTextDown_Player2Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_down;
}

std::shared_ptr<Entity> CreateMenuTextDown_Player2Keyboard()
{
	return std::make_shared<MenuTextDown_Player2Keyboard>();
}


